import { ElMessage } from 'element-plus';
import { GetImageThumbTool } from '/@/api/artImage/artImageTool';
import { MAIN_URL } from '/@/constants';
import type { BankImage } from '/@/projectCom/artImage/bank/image/types';

export const getFullFilePath = (url, fileName) => {
	return `${url}/${fileName}`;
};

export const getBankImageUrl = (bankImage: BankImage, isRelative = false, baseUrl = MAIN_URL) => {
	const urlArr = bankImage?.StorageHouse ? [bankImage?.StorageHouse, bankImage?.StorageCode] : [bankImage?.StorageCode];
	if (!isRelative) {
		urlArr.unshift(baseUrl);
	}
	const fullPath = urlArr.join('/');
	return fullPath;
};

export type FileRecordObj = {
	StorageCode: string;
	StorageHouse: string;
	[key: string]: any;
};
export const getFileUrl = (fileObj: FileRecordObj, isRelative = false, baseUrl = MAIN_URL) => {
	const urlArr = fileObj?.StorageHouse ? [fileObj?.StorageHouse, fileObj?.StorageCode] : [fileObj?.StorageCode];
	if (!isRelative) {
		urlArr.unshift(baseUrl);
	}
	const fullPath = urlArr.join('/');
	return fullPath;
};
